サーバいじくり雑記

2013年5月4日

UPDATING 20130503 AFFECTS: users of security/libgcrypt and any port that depends on it

Filed under: FreeBSD — bompopo @ 9:37 AM

今まで自作のスクリプトでライブラリ依存や不整合チェックしてたのですが便利なスクリプトが公式portsにあったのですね。

20130503:
  AFFECTS: users of security/libgcrypt and any port that depends on it
  AUTHOR: ehaupt@FreeBSD.org

  The libgcrypt port has been updated to 1.5.2 and all shared libraries
  versions have been bumped. So you need to rebuild all applications that
  depend on libgcrypt. Do something like:

  # portmaster -r libgcrypt

  or
  
  # portupgrade -rf libgcrypt

  Alternatively, you may install sysutils/bsdadminscripts, run pkg_libchk and
  rebuild all detected ports:

  # pkg_libchk | tee /tmp/rebuild
  # awk -F':' '/libgcrypt.so/ {print $1}' /tmp/rebuild | sort | uniq \
        | xargs portmaster -D
広告

コメントする »

まだコメントはありません。

RSS feed for comments on this post. TrackBack URI

コメントを残す

以下に詳細を記入するか、アイコンをクリックしてログインしてください。

WordPress.com ロゴ

WordPress.com アカウントを使ってコメントしています。 ログアウト / 変更 )

Twitter 画像

Twitter アカウントを使ってコメントしています。 ログアウト / 変更 )

Facebook の写真

Facebook アカウントを使ってコメントしています。 ログアウト / 変更 )

Google+ フォト

Google+ アカウントを使ってコメントしています。 ログアウト / 変更 )

%s と連携中

%d人のブロガーが「いいね」をつけました。